VIOGPU(4)

NAME
viogpu - VirtIO GPU device

SYNOPSIS
viogpu* at virtio?
wsdisplay* at viogpu?

DESCRIPTION
The viogpu driver provides support for the virtio(4) GPU interface provided by QEMU and other virtual machines to create a wscons(4) console. It does not provide access to the 3D functionality of the virtio GPU device. It does not support mapping the framebuffer for generic graphics use by drivers such as wsfb(4).

SEE ALSO
intro(4), virtio(4) wscons(4), wsdisplay(4),

HISTORY
The viogpu driver first appeared in OpenBSD 7.4 and was ported for NetBSD 11.

AUTHORS
-nosplit The viogpu driver was written by joshua stein <jcs@openbsd.org>.